/*!
 * Copyright (c) 2019 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
declare const HttpsProxyAgent: any;
declare const HttpProxyAgent: any;
/**
 * Provider of an Agent that establishes a proxy connection.
 */
export declare class ProxyAgent {
    /** The Agent that provides the proxy connection. */
    readonly proxyAgent?: typeof HttpsProxyAgent;
    readonly httpProxyAgent?: typeof HttpProxyAgent.HttpProxyAgent;
    constructor(options?: ProxyOptions | undefined);
}
/**
 * Options for establishing a proxy connection.
 */
export interface ProxyOptions {
    /** The url and port of the proxy server to connect to. It needs to be set like this: URL:PORT */
    url?: string;
    /** The username to authenticate to the proxy server with. */
    username?: string;
    /** The password to authenticate to the proxy server with. */
    password?: string;
    /** If proxy environment variables HTTPS_PROXY, https_proxy, HTTP_PROXY and http_proxy should be ignored. */
    ignoreProxyFromEnv?: boolean;
}
export {};
//# sourceMappingURL=proxy-settings.d.ts.map